Subject: Re: [PATCH v4 0/4] add support for systemd timers on Linux

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 May 2021 18:04:44 +0900

Lénaïc Huard <[email-masked]> writes:

> Hello,
>
> The main difference between this v4 patchset and the previous v3
> concerns ...

Ehh, before that, please be helpful to those who weren't involved in
the discussion of earlier rounds and haven't seen the paches v3 and
below.  What is this topic about in the bigger picture, why readers
should be interested in reading them, on top of what commit is the
series designed to apply, etc. etc.

Thanks.

> the first patch, the one introducing a new function to use
> $XDG_CONFIG_HOME.
> Instead of re-purposing the existing `xdg_config_home(filename)`
> function, I’ve created a new generic one named
> `xdg_config_home_for(prog, filename)` to address the potential
> conflict issue raised by Danh.
>
> I’ve also reworded the commit message of the last patch to address the
> review comments.
> I replaced the “he” by a “they”.
> To be honest, I’m not an English native speaker, so I don’t feel
> comfortable debating which usage is common in informal speech or in
> formal writtings.
> So, I would be happy to change it to “he or she” if it is more
> consensual and looks less “artificial” than “he/she”.
>
> Lénaïc Huard (4):
>   cache.h: Introduce a generic "xdg_config_home_for(…)" function
>   maintenance: introduce ENABLE/DISABLE for code clarity
>   maintenance: `git maintenance run` learned `--scheduler=<scheduler>`
>   maintenance: add support for systemd timers on Linux
>
>  Documentation/git-maintenance.txt |  60 ++++
>  builtin/gc.c                      | 548 ++++++++++++++++++++++++++----
>  cache.h                           |   7 +
>  path.c                            |  13 +-
>  t/t7900-maintenance.sh            | 110 +++++-
>  5 files changed, 657 insertions(+), 81 deletions(-)